import Vue from 'vue'
import wx from 'weixin-js-sdk'

Vue.prototype.wxShare = function (title, desc, imgLink) {

  const currUrl = window.location.href;

 this.$axios({
    method: 'post',
    data:{ url:currUrl },
    url:baseUrl+ '/public/wx-share',
  }).then(res => {
    // 获得签名配置
    var Data = res.data.data;

    wx.config({
      debug: false, // 开启调试模式 
      appId: Data.appId,   // 公众号的唯一标识
      timestamp: Data.timestamp, // 生成签名的时间戳
      nonceStr: Data.nonceStr,    // 生成签名的随机串
      signature: Data.signature,   // 签名
      jsApiList: ['onMenuShareAppMessage', 'onMenuShareTimeline','onMenuShareQQ','onMenuShareQZone'] // 此处填你所用到的方法 
    });

  }).then(function(){

    //处理验证失败的信息
    wx.error(function (res) {
      console.log('验证失败返回的信息:'+res);
    });

    //处理访问微信sdk验证成功的信息
    wx.ready(function () {

       //分享到朋友圈
       wx.onMenuShareTimeline({
        title:title, // 分享标题
        desc: desc, // 分享描述
        link: currUrl, // 分享链接
        imgUrl: imgBaseUrl+imgLink, // 分享图标
        success: function (res) {
        },
        cancel: function (res) {
        }
       });


       //分享给朋友
       wx.onMenuShareAppMessage({
        title: title, // 分享标题
        desc: desc, // 分享描述
        link: currUrl, // 分享链接
        imgUrl: imgBaseUrl+imgLink, // 分享图标
        type: '', // 分享类型,music、video或link，不填默认为link
        dataUrl: '', // 如果type是music或video，则要提供数据链接，默认为空
       });


       //分享到QQ
       wx.onMenuShareQQ({
        title: title, 
        desc: desc, 
        link: currUrl, // 分享链接
        imgUrl: imgBaseUrl+imgLink, // 分享图标
       });
       
       //分享到QQ空间
       wx.onMenuShareQZone({
        title: title, // 分享标题
        desc: desc, // 分享描述
        link: currUrl, // 分享链接
        imgUrl:  imgBaseUrl+imgLink, // 分享图标
       });

      });
  });

 };
